# Get the directory containing this script. Source file paths are relative to this.
set origin_dir [file dirname [file normalize [info script]]]

catch {close_project}
set dir {8g_2400_x32_axi4-ku060_2e}
set proj {ddr4_test}
open_project "$origin_dir/$dir/${proj}.xpr"

set vivado_major [lindex [version -short] 0]
if { $vivado_major == 2015 } {
  # Work around Vivado Ultrascale MIG IP custom part issue
  source "$origin_dir/fix_custom_part.tcl"
}

reset_run synth_1
launch_runs -to_step write_bitstream impl_1
wait_on_run impl_1

close_project
