set var_model    [get_value /tb_ddr4_test/model_name]

set wave_pat {
/tb_ddr4_test
/tb_ddr4_test/uut
/tb_ddr4_test/uut/exerciser0_i
/tb_ddr4_test/uut/exerciser0_i/data_gen_inst
}

close_wave_config -force
create_wave_config -name "ddr4_test (Native) (${var_model})"

foreach pattern $wave_pat {
  add_wave_group $pattern
  add_wave -into $pattern -radix hex $pattern
}

set NumericStdNoWarnings 1
set StdArithNoWarnings 1

set run_list [get_property {xsim.simulate.runtime} [current_fileset -simset]]
run [lindex $run_list 0] [lindex $run_list 1]
