# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "enable_bridge_master" -parent ${Page_0}
  ipgui::add_param $IPINST -name "enable_dma" -parent ${Page_0}
  ipgui::add_param $IPINST -name "enable_target_master" -parent ${Page_0}
  ipgui::add_param $IPINST -name "fabric_reset_in" -parent ${Page_0}
  ipgui::add_param $IPINST -name "output_mptlclk" -parent ${Page_0}


}

proc update_PARAM_VALUE.enable_bridge_master { PARAM_VALUE.enable_bridge_master } {
	# Procedure called to update enable_bridge_master when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.enable_bridge_master { PARAM_VALUE.enable_bridge_master } {
	# Procedure called to validate enable_bridge_master
	return true
}

proc update_PARAM_VALUE.enable_dma { PARAM_VALUE.enable_dma } {
	# Procedure called to update enable_dma when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.enable_dma { PARAM_VALUE.enable_dma } {
	# Procedure called to validate enable_dma
	return true
}

proc update_PARAM_VALUE.enable_target_master { PARAM_VALUE.enable_target_master } {
	# Procedure called to update enable_target_master when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.enable_target_master { PARAM_VALUE.enable_target_master } {
	# Procedure called to validate enable_target_master
	return true
}

proc update_PARAM_VALUE.fabric_reset_in { PARAM_VALUE.fabric_reset_in } {
	# Procedure called to update fabric_reset_in when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.fabric_reset_in { PARAM_VALUE.fabric_reset_in } {
	# Procedure called to validate fabric_reset_in
	return true
}

proc update_PARAM_VALUE.output_mptlclk { PARAM_VALUE.output_mptlclk } {
	# Procedure called to update output_mptlclk when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.output_mptlclk { PARAM_VALUE.output_mptlclk } {
	# Procedure called to validate output_mptlclk
	return true
}


proc update_MODELPARAM_VALUE.enable_bridge_master { MODELPARAM_VALUE.enable_bridge_master PARAM_VALUE.enable_bridge_master } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.enable_bridge_master}] ${MODELPARAM_VALUE.enable_bridge_master}
}

proc update_MODELPARAM_VALUE.enable_target_master { MODELPARAM_VALUE.enable_target_master PARAM_VALUE.enable_target_master } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.enable_target_master}] ${MODELPARAM_VALUE.enable_target_master}
}

proc update_MODELPARAM_VALUE.enable_dma { MODELPARAM_VALUE.enable_dma PARAM_VALUE.enable_dma } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.enable_dma}] ${MODELPARAM_VALUE.enable_dma}
}

proc update_MODELPARAM_VALUE.fabric_reset_in { MODELPARAM_VALUE.fabric_reset_in PARAM_VALUE.fabric_reset_in } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.fabric_reset_in}] ${MODELPARAM_VALUE.fabric_reset_in}
}

proc update_MODELPARAM_VALUE.output_mptlclk { MODELPARAM_VALUE.output_mptlclk PARAM_VALUE.output_mptlclk } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.output_mptlclk}] ${MODELPARAM_VALUE.output_mptlclk}
}

