# Connect reference clock to debug hub
connect_debug_port dbg_hub/clk [get_nets -of_objects [get_pins {bufg_vio_clk_i/O}]]


# VIOs and ddr4sdram interfaces are in differenc clock domains
set_false_path -through [get_pins *vio0_i/probe_out*]
set_false_path -through [get_pins *vio0_i/probe_in*]

set_false_path -through [get_pins *vio1_i/probe_out*]
set_false_path -through [get_pins *vio1_i/probe_in*]

set_false_path -through [get_pins *vio2_i/probe_out*]
set_false_path -through [get_pins *vio2_i/probe_in*]

set_false_path -through [get_pins *vio3_i/probe_out*]
set_false_path -through [get_pins *vio3_i/probe_in*]


###############################################################################
# Set bitstream USERID
###############################################################################

set_property BITSTREAM.CONFIG.USERID {ADAD0103} [current_design]
