set_property PACKAGE_PIN AM21 [get_ports {refclk300_p}]
set_property IOSTANDARD LVDS [get_ports {refclk300_p}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {refclk300_p}]

set_property PACKAGE_PIN AN21 [get_ports {refclk300_n}]
set_property IOSTANDARD LVDS [get_ports {refclk300_n}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {refclk300_n}]

set_max_delay -from [get_ports {refclk300_?}]  100.0
set_min_delay -from [get_ports {refclk300_?}] -100.0

create_clock -period 3.333 -name refclk300 [get_ports {refclk300_p}]